% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/iam_operations.R
\name{iam_delete_policy}
\alias{iam_delete_policy}
\title{Deletes the specified managed policy}
\usage{
iam_delete_policy(PolicyArn)
}
\arguments{
\item{PolicyArn}{[required] The Amazon Resource Name (ARN) of the IAM policy you want to delete.

For more information about ARNs, see \href{https://docs.aws.amazon.com/general/latest/gr/aws-arns-and-namespaces.html}{Amazon Resource Names (ARNs) and AWS Service Namespaces}
in the \emph{AWS General Reference}.}
}
\description{
Deletes the specified managed policy.
}
\details{
Before you can delete a managed policy, you must first detach the policy
from all users, groups, and roles that it is attached to. In addition,
you must delete all the policy\'s versions. The following steps describe
the process for deleting a managed policy:
\itemize{
\item Detach the policy from all users, groups, and roles that the policy
is attached to, using the DetachUserPolicy, DetachGroupPolicy, or
DetachRolePolicy API operations. To list all the users, groups, and
roles that a policy is attached to, use ListEntitiesForPolicy.
\item Delete all versions of the policy using DeletePolicyVersion. To list
the policy\'s versions, use ListPolicyVersions. You cannot use
DeletePolicyVersion to delete the version that is marked as the
default version. You delete the policy\'s default version in the
next step of the process.
\item Delete the policy (this automatically deletes the policy\'s default
version) using this API.
}

For information about managed policies, see \href{https://docs.aws.amazon.com/IAM/latest/UserGuide/policies-managed-vs-inline.html}{Managed Policies and Inline Policies}
in the \emph{IAM User Guide}.
}
\section{Request syntax}{
\preformatted{svc$delete_policy(
  PolicyArn = "string"
)
}
}

\keyword{internal}
